Index: LMDZ6/trunk/libf/phylmd/Dust/condsurfs_new.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/condsurfs_new.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/Dust/condsurfs_new.f90	(revision 5270)
@@ -9,4 +9,5 @@
   USE mod_phys_lmdz_para
   USE dimphy
+  USE netcdf, ONLY: nf90_get_var, nf90_inq_varid, nf90_close, nf90_noerr, nf90_open, nf90_nowrite
   IMPLICIT none
   !
@@ -15,5 +16,4 @@
   !
   INCLUDE "dimensions.h"
-  INCLUDE "netcdf.inc"
   !
   REAL :: lmt_so2b(klon), lmt_so2h(klon), lmt_so2nff(klon)
@@ -61,6 +61,6 @@
   !=======================================================================
   !
-  ierr = NF_OPEN ("sulphur_emissions_antro.nc", NF_NOWRITE, nid)
-  if (ierr.ne.NF_NOERR) then
+  ierr = nf90_open ("sulphur_emissions_antro.nc", nf90_nowrite, nid)
+  if (ierr.ne.nf90_noerr) then
     write(6,*)' Pb d''ouverture du fichier sulphur_emissions_antro'
     write(6,*)' ierr = ', ierr
@@ -71,7 +71,7 @@
   ! SO2 Low level emissions
   !
-  ierr = NF_INQ_VARID (nid, "SO2FF_LOW", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais,lmt_so2b_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2FF_LOW", nvarid)
+  ierr = nf90_get_var(nid, nvarid,lmt_so2b_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
     PRINT*, 'Pb de lecture pour les sources so2 low'
     print *,'JE klon, jour, debut ,epais ',klon_glo,jour,debut,epais
@@ -83,7 +83,7 @@
   ! SO2 High level emissions
   !
-  ierr = NF_INQ_VARID (nid, "SO2FF_HIGH", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais,lmt_so2h_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2FF_HIGH", nvarid)
+  ierr = nf90_get_var(nid, nvarid,lmt_so2h_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
     PRINT*, 'Pb de lecture pour les sources so2 high'
     CALL exit(1)
@@ -92,8 +92,8 @@
   ! SO2 Biomass burning High level emissions
   !
-  ierr = NF_INQ_VARID (nid, "SO2BBH", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, &
-        epais, lmt_so2bb_h_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2BBH", nvarid)
+  ierr = nf90_get_var(nid, nvarid, lmt_so2bb_h_glo, debut, &
+        epais)
+  IF (ierr .NE. nf90_noerr) THEN
     PRINT*, 'Pb de lecture pour les sources so2 BB high'
     CALL exit(1)
@@ -102,8 +102,8 @@
   ! SO2 biomass burning low level emissions
   !
-  ierr = NF_INQ_VARID (nid, "SO2BBL", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, &
-        epais, lmt_so2bb_l_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2BBL", nvarid)
+  ierr = nf90_get_var(nid, nvarid, lmt_so2bb_l_glo, debut, &
+        epais)
+  IF (ierr .NE. nf90_noerr) THEN
     PRINT*, 'Pb de lecture pour les sources so2 BB low'
     CALL exit(1)
@@ -112,7 +112,7 @@
   ! SO2 ship emissions
   !
-  ierr = NF_INQ_VARID (nid, "SO2BA", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_so2ba_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2BA", nvarid)
+  ierr = nf90_get_var(nid, nvarid,lmt_so2ba_glo, debut,epais)
+  IF (ierr .NE. nf90_noerr) THEN
     PRINT*, 'Pb de lecture pour les sources so2 ship'
     CALL exit(1)
@@ -121,19 +121,19 @@
   ! SO2 Non Fossil Fuel Emissions
   !
-  ierr = NF_INQ_VARID (nid, "SO2NFF", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, &
-        lmt_so2nff_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2NFF", nvarid)
+  ierr = nf90_get_var(nid, nvarid, &
+        lmt_so2nff_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
     PRINT*, 'Pb de lecture pour les sources so2 non FF'
     CALL exit(1)
   ENDIF
   !
-  ierr = NF_CLOSE(nid)
+  ierr = nf90_close(nid)
   !
   !=======================================================================
                    ! READING NATURAL EMISSIONS
   !=======================================================================
-  ierr = NF_OPEN ("sulphur_emissions_nat.nc", NF_NOWRITE, nid)
-  if (ierr.ne.NF_NOERR) then
+  ierr = nf90_open ("sulphur_emissions_nat.nc", nf90_nowrite, nid)
+  if (ierr.ne.nf90_noerr) then
     write(6,*)' Pb d''ouverture du fichier sulphur_emissions_nat'
     write(6,*)' ierr = ', ierr
@@ -143,7 +143,7 @@
   ! Biologenic source of DMS
   !
-  ierr = NF_INQ_VARID (nid, "DMSB", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid,debut,epais,lmt_dmsbio_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSB", nvarid)
+  ierr = nf90_get_var(nid, nvarid,lmt_dmsbio_glo,debut,epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms bio'
      CALL exit(1)
@@ -152,7 +152,7 @@
   ! Biologenic source of H2S
   !
-  ierr = NF_INQ_VARID (nid, "H2SB", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid,debut,epais,lmt_h2sbio_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "H2SB", nvarid)
+  ierr = nf90_get_var(nid, nvarid,lmt_h2sbio_glo,debut,epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources h2s bio'
      CALL exit(1)
@@ -163,7 +163,7 @@
   IF (flag_dms.EQ.4) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSC2", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid,nvarid,debut,epais,lmt_dmsconc_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSC2", nvarid)
+  ierr = nf90_get_var(nid,nvarid,lmt_dmsconc_glo,debut,epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms conc 2'
      CALL exit(1)
@@ -182,5 +182,5 @@
   ENDIF
   !
-  ierr = NF_CLOSE(nid)
+  ierr = nf90_close(nid)
   !
   !=======================================================================
@@ -189,6 +189,6 @@
   print *,'   ***      READING VOLCANIC EMISSIONS   ***   '
   print *,' Jour = ',jour
-  ierr = NF_OPEN ("sulphur_emissions_volc.nc", NF_NOWRITE, nid)
-  if (ierr.ne.NF_NOERR) then
+  ierr = nf90_open ("sulphur_emissions_volc.nc", nf90_nowrite, nid)
+  if (ierr.ne.nf90_noerr) then
     write(6,*)' Pb d''ouverture du fichier sulphur_emissions_volc'
     write(6,*)' ierr = ', ierr
@@ -198,9 +198,9 @@
   ! Continuous Volcanic emissions
   !
-  !  ierr = NF_INQ_VARID (nid, "VOLC", nvarid)
-  ierr = NF_INQ_VARID (nid, "flx_volc_cont", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, &
-        lmt_so2volc_cont_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  !  ierr = nf90_inq_varid(nid, "VOLC", nvarid)
+  ierr = nf90_inq_varid(nid, "flx_volc_cont", nvarid)
+  ierr = nf90_get_var(nid, nvarid, &
+        lmt_so2volc_cont_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources so2 volcan (cont)'
      CALL exit(1)
@@ -212,9 +212,9 @@
   ! Altitud of continuous volcanic emissions
   !
-  !  ierr = NF_INQ_VARID (nid, "ALTI", nvarid)
-  ierr = NF_INQ_VARID (nid, "flx_volc_altcont", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, &
-        lmt_altvolc_cont_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  !  ierr = nf90_inq_varid(nid, "ALTI", nvarid)
+  ierr = nf90_inq_varid(nid, "flx_volc_altcont", nvarid)
+  ierr = nf90_get_var(nid, nvarid, &
+        lmt_altvolc_cont_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les altitudes volcan (cont)'
      CALL exit(1)
@@ -223,8 +223,8 @@
   ! Explosive Volcanic emissions
   !
-  ierr = NF_INQ_VARID (nid, "flx_volc_expl", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, &
-        lmt_so2volc_expl_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "flx_volc_expl", nvarid)
+  ierr = nf90_get_var(nid, nvarid, &
+        lmt_so2volc_expl_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources so2 volcan (expl)'
      CALL exit(1)
@@ -236,8 +236,8 @@
   ! Altitud of explosive volcanic emissions
   !
-  ierr = NF_INQ_VARID (nid, "flx_volc_altexpl", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, &
-        lmt_altvolc_expl_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "flx_volc_altexpl", nvarid)
+  ierr = nf90_get_var(nid, nvarid, &
+        lmt_altvolc_expl_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les altitudes volcan'
      CALL exit(1)
@@ -245,5 +245,5 @@
    ! lmt_altvolc_expl(:)=0.0
 
-  ierr = NF_CLOSE(nid)
+  ierr = nf90_close(nid)
   !
   PRINT*, 'Sources SOUFRE lues pour jour: ', jour
Index: LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5270)
@@ -4568,7 +4568,6 @@
       USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_para
+      USE netcdf, ONLY: nf90_open, nf90_close, nf90_inq_varid, nf90_nowrite, nf90_noerr, nf90_get_var
       IMPLICIT NONE
-
-      include "netcdf.inc"
 
       CHARACTER*800 filescaleparams
@@ -4581,5 +4580,4 @@
       integer start(4),count(4), status
 !      local
-      integer debutread,countread
       CHARACTER*104 varname
       CHARACTER*2 aux_2s
@@ -4587,9 +4585,7 @@
 !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
-          !nci=NCOPN(trim(adjustl(filescaleparams)),NCNOWRIT,rcode)
-         ierr = NF_OPEN (trim(adjustl(filescaleparams)),NF_NOWRITE, nid)
-          if (ierr .EQ. NF_NOERR) THEN
-          debutread=step_sca
-          countread=1
+          !nci=nf90_open(trim(adjustl(filescaleparams)),nf90_nowrite,rcode)
+         ierr = nf90_open (trim(adjustl(filescaleparams)),nf90_nowrite, nid)
+          if (ierr .EQ. nf90_noerr) THEN
 
            do i=1,nbreg
@@ -4597,8 +4593,7 @@
             varname= trim(adjustl(paramname))//aux_2s
             print *,varname
-            ierr = NF_INQ_VARID (nid,trim(adjustl(varname)), nvarid)
-            ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debutread,          &
-                         countread, auxreal)
-            IF (ierr .NE. NF_NOERR) THEN
+            ierr = nf90_inq_varid(nid,trim(adjustl(varname)), nvarid)
+            ierr = nf90_get_var(nid, nvarid, auxreal, [step_sca])
+            IF (ierr .NE. nf90_noerr) THEN
              PRINT*, 'Pb de lecture pour modvalues'
        print *,'JE  scale_var, step_sca',trim(adjustl(varname)),step_sca
@@ -4613,5 +4608,5 @@
            enddo
 
-            ierr = NF_CLOSE(nid)
+            ierr = nf90_close(nid)
           else
            print *,'File '//trim(adjustl(filescaleparams))//' not found'
Index: LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5270)
@@ -3,10 +3,9 @@
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
-  USE netcdf, ONLY: nf90_get_var
+  USE netcdf, ONLY: nf90_get_var, nf90_nowrite, nf90_open, nf90_inq_varid
   IMPLICIT NONE
   !
   INCLUDE "dimensions.h"
   INCLUDE "paramet.h"
-  INCLUDE "netcdf.inc"
   !
   INTEGER :: step, nbjour
@@ -17,6 +16,5 @@
   ! as      real dust_nc(iip1,jjp1)
   real :: dust_nc_glo(nbp_lon+1,nbp_lat)
-  real :: rcode
-  integer :: ncid1, varid1, ncid2, varid2
+  INTEGER :: ncid1, varid1, ncid2, varid2, rcode
 
   save ncid1, varid1, ncid2, varid2
@@ -29,6 +27,6 @@
   if (debutphy) then
   !
-     ncid1=NCOPN('dust.nc',NCNOWRIT,rcode)
-     varid1=NCVID(ncid1,'EMISSION',rcode)
+     ncid1=nf90_open('dust.nc',nf90_nowrite,rcode)
+     varid1=nf90_inq_varid(ncid1,'EMISSION',rcode)
   !
   endif
Index: LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5270)
@@ -10,8 +10,6 @@
        USE mod_phys_lmdz_para
        USE iophy
-       USE netcdf, ONLY: nf90_get_var
+       USE netcdf, ONLY: nf90_inq_varid,nf90_noerr,nf90_get_var,nf90_nowrite,nf90_inq_varid,nf90_open
        IMPLICIT NONE
-
-       INCLUDE "netcdf.inc"
        INCLUDE "dimensions.h"
        INCLUDE "paramet.h"
@@ -31,7 +29,5 @@
        real surfa_glo(klon_glo,5)
 !
-       integer ncid
-       integer varid
-       real rcode
+       integer ncid, varid, rcode
        integer start(2),count(2),status
        integer i,j,l,ig
@@ -43,5 +39,4 @@
       real, dimension(jjp1) :: lats
       real, dimension(nbp_lat) :: lats_glo
-      real :: rcode2
       integer, dimension(1) :: startj,endj
 !JE20140526>>
@@ -50,5 +45,5 @@
 
        print*,'Lecture du fichier donnees_lisa.nc' 
-       ncid=NCOPN('donnees_lisa.nc',NCNOWRIT,rcode)
+       ncid=nf90_open('donnees_lisa.nc',nf90_nowrite,rcode)
 
 !JE20140526<<: check if are inversed or not the latitude grid in donnes_lisa
@@ -62,8 +57,8 @@
        if (i==4) aux4s='Latu'
        if (i==5) aux4s='latU'
-       status = NF_INQ_VARID (ncid, aux4s, rcode)
+       status = nf90_inq_varid(ncid, aux4s, rcode)
 !       print *,'stat,i',status,i,outcycle,aux4s
-!       print *,'ifclause',status.NE. NF_NOERR ,outcycle == .false.
-       IF ((.not.(status.NE. NF_NOERR) ).and.( .not. outcycle )) THEN
+!       print *,'ifclause',status.NE. nf90_noerr ,outcycle == .false.
+       IF ((.not.(status.NE. nf90_noerr) ).and.( .not. outcycle )) THEN
          outcycle=.true.
          latstr=aux4s
@@ -73,9 +68,9 @@
 !      endj(1)=jjp1
       endj(1)=nbp_lat
-      varid=NCVID(ncid,latstr,rcode)
+      varid=nf90_inq_varid(ncid,latstr,rcode)
 
           status = nf90_get_var(ncid, varid, lats_glo, startj, endj)
 !      print *,latstr,varid,status,jjp1,rcode
-!      IF (status .NE. NF_NOERR) print*,'NOOOOOOO'
+!      IF (status .NE. nf90_noerr) print*,'NOOOOOOO'
 !      print *,lats
 !stop
@@ -90,6 +85,6 @@
           varname=trim(name)//str1
        print*,'lecture variable:',varname
-          varid=NCVID(ncid,trim(varname),rcode)
-!          varid=NCVID(ncid,varname,rcode)
+          varid=nf90_inq_varid(ncid,trim(varname),rcode)
+!          varid=nf90_inq_varid(ncid,varname,rcode)
 
 !  dimensions pour les champs scalaires et le vent zonal
Index: LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5270)
@@ -3,5 +3,5 @@
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
-  USE netcdf, ONLY: nf90_get_var
+  USE netcdf, ONLY: nf90_get_var, nf90_open, nf90_inq_varid, nf90_nowrite
    ! USE write_field_phy
   IMPLICIT NONE
@@ -9,5 +9,4 @@
     ! INCLUDE "dimphy.h"
   INCLUDE "paramet.h"
-  INCLUDE "netcdf.inc"
   !
   INTEGER :: step, nbjour
@@ -20,6 +19,5 @@
   real :: u10m_nc_glo(nbp_lon+1,nbp_lat) !, v10m_nc(iip1,jjm) ! dim 97x72
   real :: v10m_nc_glo(nbp_lon+1,nbp_lat)  ! dim 97x73
-  real :: rcode
-  integer :: ncidu1, varidu1, ncidv1, varidv1
+  integer :: ncidu1, varidu1, ncidv1, varidv1, rcode
   save ncidu1, varidu1, ncidv1, varidv1
 !$OMP THREADPRIVATE(ncidu1, varidu1, ncidv1, varidv1)
@@ -33,8 +31,8 @@
   if (debutphy) then
   !
-     ncidu1=NCOPN('u10m.nc',NCNOWRIT,rcode)
-     varidu1=NCVID(ncidu1,'U10M',rcode)
-     ncidv1=NCOPN('v10m.nc',NCNOWRIT,rcode)
-     varidv1=NCVID(ncidv1,'V10M',rcode)
+     ncidu1=nf90_open('u10m.nc',nf90_nowrite,rcode)
+     varidu1=nf90_inq_varid(ncidu1,'U10M',rcode)
+     ncidv1=nf90_open('v10m.nc',nf90_nowrite,rcode)
+     varidv1=nf90_inq_varid(ncidv1,'V10M',rcode)
   !
   endif
Index: LMDZ6/trunk/libf/phylmd/condsurf.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/condsurf.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/condsurf.f90	(revision 5270)
@@ -7,5 +7,5 @@
   USE indice_sol_mod
   USE time_phylmdz_mod, ONLY: annee_ref
-  USE netcdf, ONLY: nf90_get_var
+  USE netcdf, ONLY: nf90_get_var,nf90_open,nf90_inq_varid,nf90_noerr,nf90_close,nf90_nowrite
   IMPLICIT NONE
 
@@ -20,6 +20,4 @@
 
   ! lmt_bils: bilan chaleur au sol (a utiliser pour "slab-ocean")
-
-  include "netcdf.inc"
   INTEGER nid, nvarid
   INTEGER debut(2)
@@ -89,6 +87,6 @@
   !$OMP MASTER
   IF (is_mpi_root) THEN
-    ierr = nf_open(fich, nf_nowrite, nid)
-    IF (ierr/=nf_noerr) THEN
+    ierr = nf90_open(fich, nf90_nowrite, nid)
+    IF (ierr/=nf90_noerr) THEN
       WRITE (6, *) ' Pb d''ouverture du fichier ', fich
       WRITE (6, *) ' Le fichier limit ', fich, ' (avec 4 chiffres , pour'
@@ -106,11 +104,11 @@
     ! Bilan flux de chaleur au sol:
 
-    ierr = nf_inq_varid(nid, 'BILS', nvarid)
-    IF (ierr/=nf_noerr) THEN
+    ierr = nf90_inq_varid(nid, 'BILS', nvarid)
+    IF (ierr/=nf90_noerr) THEN
       CALL abort_physic('cond_surf', 'Le champ <BILS> est absent', 1)
     END IF
     PRINT *, 'debut,epais', debut, epais, 'jour,jourvrai', jour, jourvrai
     ierr = nf90_get_var(nid, nvarid,  lmt_bils_glo, debut, epais)
-    IF (ierr/=nf_noerr) THEN
+    IF (ierr/=nf90_noerr) THEN
       CALL abort_physic('condsurf', 'Lecture echouee pour <BILS>', 1)
     END IF
@@ -119,5 +117,5 @@
     ! Fermer le fichier:
 
-    ierr = nf_close(nid)
+    ierr = nf90_close(nid)
 
   END IF ! is_mpi_root==0
Index: LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5270)
@@ -678,5 +678,4 @@
       include "dimensions.h"
 !!#include "control.h"
-      include "netcdf.inc"
 
 !   Arguments:
@@ -825,5 +824,4 @@
       include "dimensions.h"
 !!#include "control.h"
-      include "netcdf.inc"
 
 !   Arguments:
@@ -864,6 +862,6 @@
 
 !     modname = 'dyn1dredem'
-!     ierr = NF_OPEN(fichnom, NF_WRITE, nid)
-!     IF (ierr .NE. NF_NOERR) THEN
+!     ierr = nf90_open(fichnom, nf90_write, nid)
+!     IF (ierr .NE. nf90_noerr) THEN
 !        abort_message="Pb. d ouverture "//fichnom
 !        CALL abort_gcm('Modele 1D',abort_message,1)
Index: LMDZ6/trunk/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5270)
@@ -1,3 +1,3 @@
-        INCLUDE "netcdf.inc"
+
 
 ! Declarations specifiques au cas Toga
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_amma_read.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_amma_read.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_amma_read.f90	(revision 5270)
@@ -1,4 +1,5 @@
 MODULE mod_1D_amma_read
-
+  USE netcdf, ONLY: nf90_get_var, nf90_open, nf90_noerr, nf90_open, nf90_nowrite, &
+          nf90_inq_dimid, nf90_inquire_dimension, nf90_strerror, nf90_inq_varid
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !Declarations specifiques au cas AMMA
@@ -59,32 +60,30 @@
       implicit none
 
-      INCLUDE "netcdf.inc"
-
       INTEGER nid,rid,ierr
 
       fich_amma='amma.nc'
       print*,'fich_amma ',fich_amma
-      ierr = NF_OPEN(fich_amma,NF_NOWRITE,nid)
-      print*,'fich_amma,NF_NOWRITE,nid ',fich_amma,NF_NOWRITE,nid
-      if (ierr.NE.NF_NOERR) then
+      ierr = nf90_open(fich_amma,nf90_nowrite,nid)
+      print*,'fich_amma,nf90_nowrite,nid ',fich_amma,nf90_nowrite,nid
+      if (ierr.NE.nf90_noerr) then
          write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-         write(*,*) NF_STRERROR(ierr)
+         write(*,*) nf90_strerror(ierr)
          stop ""
       endif
 !.......................................................................
-      ierr=NF_INQ_DIMID(nid,'lev',rid)
-      IF (ierr.NE.NF_NOERR) THEN
+      ierr=nf90_inq_dimid(nid,'lev',rid)
+      IF (ierr.NE.nf90_noerr) THEN
          print*, 'Oh probleme lecture dimension zz'
       ENDIF
-      ierr=NF_INQ_DIMLEN(nid,rid,nlev_amma)
+      ierr=nf90_inquire_dimension(nid,rid,len=nlev_amma)
       print*,'OK nid,rid,nlev_amma',nid,rid,nlev_amma
 !.......................................................................
-      ierr=NF_INQ_DIMID(nid,'time',rid)
+      ierr=nf90_inq_dimid(nid,'time',rid)
       print*,'nid,rid',nid,rid
       nt_amma=0
-      IF (ierr.NE.NF_NOERR) THEN
+      IF (ierr.NE.nf90_noerr) THEN
         stop 'probleme lecture dimension sens'
       ENDIF
-      ierr=NF_INQ_DIMLEN(nid,rid,nt_amma)
+      ierr=nf90_inquire_dimension(nid,rid,len=nt_amma)
       print*,'nid,rid,nlev_amma',nid,rid,nt_amma
 
@@ -179,7 +178,7 @@
 
 !program reading forcings of the AMMA case study
-      USE netcdf, ONLY: nf90_get_var
+      USE netcdf, ONLY: nf90_get_var, nf90_open, nf90_noerr, nf90_open, nf90_nowrite, &
+          nf90_inq_dimid, nf90_inquire_dimension, nf90_strerror, nf90_inq_varid
       implicit none
-      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -200,68 +199,68 @@
       integer var3didin(nbvar3d)
 
-       ierr=NF_INQ_VARID(nid,"zz",var3didin(1)) 
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"zz",var3didin(1))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'lev'
          endif
 
 
-      ierr=NF_INQ_VARID(nid,"temp",var3didin(2))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"temp",var3didin(2))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'temp'
          endif
 
-      ierr=NF_INQ_VARID(nid,"qv",var3didin(3))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"qv",var3didin(3))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
-      ierr=NF_INQ_VARID(nid,"u",var3didin(4))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"u",var3didin(4))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
-      ierr=NF_INQ_VARID(nid,"v",var3didin(5))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"v",var3didin(5))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"dw",var3didin(6))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"dw",var3didin(6))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dw'
          endif
 
-      ierr=NF_INQ_VARID(nid,"dt",var3didin(7))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"dt",var3didin(7))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dt'
          endif
 
-      ierr=NF_INQ_VARID(nid,"dq",var3didin(8))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"dq",var3didin(8))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dq'
          endif
       
-      ierr=NF_INQ_VARID(nid,"sens",var3didin(9))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"sens",var3didin(9))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'sens'
          endif
 
-      ierr=NF_INQ_VARID(nid,"flat",var3didin(10))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"flat",var3didin(10))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'flat'
          endif
 
-      ierr=NF_INQ_VARID(nid,"pp",var3didin(11))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"pp",var3didin(11))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
       endif
 
@@ -270,6 +269,6 @@
  
          ierr = nf90_get_var(nid, var3didin(1), zz)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -277,6 +276,6 @@
 
          ierr = nf90_get_var(nid, var3didin(2), temp)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -284,6 +283,6 @@
 
          ierr = nf90_get_var(nid, var3didin(3), qv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -291,6 +290,6 @@
  
          ierr = nf90_get_var(nid, var3didin(4), u)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -298,6 +297,6 @@
 
          ierr = nf90_get_var(nid, var3didin(5), v)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -305,6 +304,6 @@
 
          ierr = nf90_get_var(nid, var3didin(6), dw)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -312,6 +311,6 @@
 
          ierr = nf90_get_var(nid, var3didin(7), dt)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -319,6 +318,6 @@
 
          ierr = nf90_get_var(nid, var3didin(8), dq)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -326,6 +325,6 @@
 
          ierr = nf90_get_var(nid, var3didin(9), sens)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -333,6 +332,6 @@
 
          ierr = nf90_get_var(nid, var3didin(10), flat)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -340,6 +339,6 @@
 
          ierr = nf90_get_var(nid, var3didin(11), pp)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
